Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.users
Class User

    java.lang.Object
      com.google.appengine.api.users.User

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<User>

    public final class User

extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable<User>

`User` represents a specific user, represented by the combination of an email address and a specific Google Apps domain (which we call an `authDomain`). For normal Google login, `authDomain` will be set to "gmail.com".

See Also:
  Serialized Form

Constructor Summary
`User(java.lang.String email, java.lang.String authDomain)` Creates a new User.

Method Summary
`int` | `compareTo(User user)`
`boolean` | `equals(java.lang.Object object)`
`java.lang.String` | `getAuthDomain()`
`java.lang.String` | `getEmail()`
`java.lang.String` | `getNickname()` Return this user's nickname.
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### User

    public User(java.lang.String email,
                java.lang.String authDomain)

  Creates a new User.

  Parameters:
    `email` - a not `null` email address.
    `authDomain` - a not `null` domain name into which this user has authenticated, or "gmail.com" for normal Google authentication.

Method Detail

### getNickname

    public java.lang.String getNickname()

  Return this user's nickname. The nickname will be a unique, human readable identifier for this user with respect to this application. It will be an email address for some users, but not all.

### getAuthDomain

    public java.lang.String getAuthDomain()

### getEmail

    public java.lang.String getEmail()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(User user)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<User>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD